Subject: Re: linux-next: build failure after merge of the pm tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 09 Feb 2015 16:10:36 +0100

On Monday, February 09, 2015 06:23:40 AM Lorenzo Pieralisi wrote:
> On Mon, Feb 09, 2015 at 05:36:07AM +0000, Jiang Liu wrote:
> > Hi Rafael and Lorenzo,
> > 	With more closer review, I suspect statement "kfree(bus_range)"
> > in commit d2be00c0fb5a ("of/pci: Free resources on failure in
> > of_pci_get_host_bridge_resources()") may cause double free of bus_range
> > because bus_range will also be freed by kfree(window->res);
> 
> Gah, my bad, you are right, sorry I missed that. Please let me know
> how you prefer fixing that, you could remove that line as part
> of the merge commit, or I can send you a patch to apply on top of it,
> it is a trivial one-line removal.

I re-did the merge.

Please have a look at my linux-next branch again and let me know if that's OK
with everybody.

-- 
I speak only for myself.
Rafael J. Wysocki, Intel Open Source Technology Center.